### Class

# Foundry VcsBlame

#### Description

    abstract class Foundry.VcsBlame : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitBlame

#### Instance methods

###### foundry_vcs_blame_dup_file

Gets the underlying file being blamed.

###### foundry_vcs_blame_get_n_lines

Gets the number of lines contained in the blame.

###### foundry_vcs_blame_query_line

Queries the signature of the commit that modified `line`.

###### foundry_vcs_blame_update

Update the blame using the contents in `bytes`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsBlame:file

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsBlameClass {
      GObjectClass parent_class;
      DexFuture* (* update) (
        FoundryVcsBlame* self,
        GBytes* bytes
      );
      guint (* get_n_lines) (
        FoundryVcsBlame* self
      );
      FoundryVcsSignature* (* query_line) (
        FoundryVcsBlame* self,
        guint line
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`update: DexFuture* (* update) ( FoundryVcsBlame* self, GBytes* bytes )`

  No description available.

`get_n_lines: guint (* get_n_lines) ( FoundryVcsBlame* self )`

  No description available.

`query_line: FoundryVcsSignature* (* query_line) ( FoundryVcsBlame* self, guint line )`

  No description available.

#### Virtual methods

###### Foundry.VcsBlameClass.get_n_lines

Gets the number of lines contained in the blame.

###### Foundry.VcsBlameClass.query_line

Queries the signature of the commit that modified `line`.

###### Foundry.VcsBlameClass.update

Update the blame using the contents in `bytes`.